<?php
namespace Smartlink\Checkout\Controller\Adminhtml\Configuration;
class Index extends \Magento\Backend\App\Action
{
	protected $resultPageFactory = false;      
	public function __construct(
		\Magento\Backend\App\Action\Context $context,
		\Magento\Framework\View\Result\PageFactory $resultPageFactory
	) {
		parent::__construct($context);
		$this->resultPageFactory = $resultPageFactory;
	} 
	public function execute(){ // smartlink checkout menu on admin page

		$resultPage = $this->resultPageFactory->create();
		$resultPage->setActiveMenu('Smartlink_Checkout::menu');
		$resultPage->getConfig()->getTitle()->prepend(__('Merchant Detail'));
		return $resultPage;
	}
	protected function _isAllowed()
	{
		return $this->_authorization->isAllowed('Smartlink_Checkout::menu');
	}
}