require([
   'jquery'],
   function ($) {
      var interval = null;
      var imageBase = $("#imageBase").val();
      $(document).ready(function () {
         ajaxCall();
         // interval = setInterval(dateTimer, 1000);
         // setInterval(ajaxCall, 5000);
      });
      window.addEventListener('message', function (event) {
         if (event.data === 'WebhookCalledTimer') {
            setInterval(function () { makeTimer(); }, 5000);
         }
      });
      window.addEventListener('message', function (event) {
         if (event.data === 'iframeClosed') {
            document.getElementById('checkout-frame').remove()
         }
      });

      function ajaxCall() {
         var order_id = $("#order_id").val();
         $.ajax({
            url: BASE_URL + "smartlink/invoice/paymenthistory",
            type: "POST",
            data: { order_id },
         }).done(function (data) {
            var result = data.output;
            if (result.flag == 1) {
               paymentData = result.data;
               var paymenthistory = '';
               if (paymentData.trx_hash != null) {
                  $('#smartlink-payment').css({ "display": "none" });
                  if(paymentData.status == 0){
                     paymenthistory = '<div class="cr-plugin-history-box"><div class="cr-plugin-history"><div class="cr-plugin-history-des"><span><a href="' + paymentData.explorer_url + paymentData.trx_hash + '" target="_blank">' + paymentData.trx_hash.substring(0, 25) + '...</a></span><p>' + paymentData.crypto_amount + ' ' + paymentData.crypto_currency + '</p></div><div class="cr-plugin-history-date"><span title="' + paymentData.date + ' (UTC)">' + dateDiff(paymentData.date) + '</span></div></div></div>';
                     setInterval(function () { makeTimer(); }, 5000);
                  }else if(paymentData.status == 1){
                     setTimeout(() => {
                        window.open(BASE_URL+"smartlink/invoice/success?order_id="+paymentData.order_id,"_SELF");
                     }, 3000);
                  }
               } else {
                  paymenthistory = '<div class="cr-plugin-history-box"><div class="cr-plugin-history"><div class="cr-plugin-history-des cr-plugin-no-history" style="text-align: center;"><p>' + paymentData.status_text + '</p></div></div></div>';
               }
               $("#cr-plugin-history-list").html(paymenthistory);

            }
            return true;
         });
      }

      function makeTimer() {
         var order_id = $("#order_id").val();
         $.ajax({
            url: BASE_URL + "smartlink/invoice/paymenthistory",
            type: "POST",
            data: { order_id },
         }).done(function (data) {
            var result = data.output;
            if (result.flag == 1) {
               paymentData = result.data;
               var paymenthistory = '';
               if (paymentData.trx_hash != null) {
                  $('#smartlink-payment').css({ "display": "none" });
                  if(paymentData.status == 0){
                     paymenthistory = '<div class="cr-plugin-history-box"><div class="cr-plugin-history"><div class="cr-plugin-history-des"><span><a href="' + paymentData.explorer_url + paymentData.trx_hash + '" target="_blank">' + paymentData.trx_hash.substring(0, 25) + '...</a></span><p>' + paymentData.crypto_amount + ' ' + paymentData.crypto_currency + '</p></div><div class="cr-plugin-history-date"><span title="' + paymentData.date + ' (UTC)">' + dateDiff(paymentData.date) + '</span></div></div></div>';
                  }else if(paymentData.status == 1){
                     setTimeout(() => {
                        window.open(BASE_URL+"smartlink/invoice/success?order_id="+paymentData.order_id,"_SELF");
                     }, 3000);
                  }
               } else {
                  paymenthistory = '<div class="cr-plugin-history-box"><div class="cr-plugin-history"><div class="cr-plugin-history-des cr-plugin-no-history" style="text-align: center;"><p>' + paymentData.status_text + '</p></div></div></div>';
               }
               $("#cr-plugin-history-list").html(paymenthistory);

            } else {
            }
            return true;
         });
      }

      $(document).on('click', '#smartlink-payment', function () {
         var btn = document.getElementsByClassName('sl-pay-button')[0]
         ifr = document.createElement('iframe');
         ifr.setAttribute("src", $('#iframe_url').val());
         ifr.style.width = "100%";
         ifr.style.height = "100vh";
         ifr.style.position = "fixed";
         ifr.style.left = "0";
         ifr.style.top = "0";
         ifr.style.border = "0";
         ifr.style.zIndex = "2147483647";
         // ifr.setAttribute("allowpaymentrequest", true)
         // ifr.setAttribute("credentialless", true)
         // ifr.allowpaymentrequest =true; 
         ifr.id = "checkout-frame";
         ifr.setAttribute("class", "checkout-frame-class");
         ifr.setAttribute("sandbox", "allow-top-navigation allow-same-origin allow-scripts allow-popups allow-forms");
         ifr.setAttribute("allow", "fullscreen");
         // btn.parentNode.insertBefore(ifr, btn);
         document.body.appendChild(ifr)
      })
      function dateDiff(date) {
         // var d2 = getUTCTime();
         var d2 = new Date();
         var d1 = new Date(Date.parse(date)).getTime();
         var date_diff = d2 - d1;

         var years = Math.floor((date_diff) / 1000 / 60 / 60 / 24 / 30 / 12);
         if (years > 0)
            return years + " year(s) ago";
         var months = Math.floor((date_diff) / 1000 / 60 / 60 / 24 / 30);
         if (months > 0)
            return months + " month(s) ago";
         var days = Math.floor((date_diff) / 1000 / 60 / 60 / 24);
         if (days > 0)
            return days + " day(s) ago";
         var hours = Math.floor((date_diff) / 1000 / 60 / 60);
         if (hours > 0)
            return hours + " hour(s) ago";
         var minutes = Math.floor((date_diff) / 1000 / 60);
         if (minutes > 0)
            return minutes + " minute(s) ago";
         var seconds = Math.floor((date_diff) / 1000);
         if (seconds > 0)
            return seconds + " second(s) ago";
      }
   }
);