<?php

namespace Smartlink\Checkout\Observer;

use Magento\Framework\Event\ObserverInterface;


class SmartlinkPaymentMethodAvailable implements ObserverInterface
{
    /**
     * payment_method_is_active event handler.
     *
     * @param \Magento\Framework\Event\Observer $observer
     */
    public function __construct(
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig 
    ) {
     
        $this->_scopeConfig = $scopeConfig;
        

    }
    public function getStoreConfig($_env)
    {
        $_val = $this->_scopeConfig->getValue(
            $_env, \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
            // dd($_val);
        return $_val;

    }
    public function execute(\Magento\Framework\Event\Observer $observer)
    {

        if($observer->getEvent()->getMethodInstance()->getCode()=="smartlink_checkout"){
            $env = $this->getStoreConfig('payment/smartlink/smartlink_endpoint');
            $smartlink_token = $this->getStoreConfig('payment/smartlink/smartlink_devtoken');
            
        }
        
    }
}
